.gray{
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}
:root {
    --swiper-navigation-size: 28px;
    --swiper-theme-color: #f00a;
}
.swiper-button-next:after, .swiper-button-prev:after{
    padding: 10px;
}
*:hover {
    -webkit-tap-highlight-color:rgba(0,0,0,0);
}
html{
    scrollbar-width: none;
}

body{
    width: 100vw;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    -ms-overflow-style: none;
    font-family: "Consolas","Microsoft Yahei";
}
body::-webkit-scrollbar{
    display: none;
}
img{
    border: none;
    outline: none;
    -webkit-touch-callout: none;
    pointer-events: none;
}
ul,li{
    list-style: none;
    margin: 0;
    padding: 0;
}
a {
    text-decoration: none;
    color: #0bf;
}
p{
    color: #612;
}
a:hover {
    color: #0db;
}
a:active {
    color: #f66;
}
.header {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 84%;
    padding: 0 8%;
    height: 60px;
}
.logo,.logo:hover,.logo:active {
    color: #f00;
    font-size: 24px;
    cursor: pointer;
    line-height: 60px;
}
.logo img{
    height: 60px;
    float: left;
    animation: changeRight 60s linear infinite;
}
.logo:hover img,.bgm_play{
    animation: changeRight 0.2s linear infinite;
}
#weather_info {
    display: inline;
    padding: 0 4px;
    border-radius: 4px;
	cursor: default;
}
#weather_info a,#date{
    text-decoration: none;
}
#weather_icon{
    height: 20px;
    margin: 20px 0;
    vertical-align: top;
    display: none;
}
.menu {
    float: right;
    color: #f00;
}
.menu li {
    height: 60px;
    line-height: 60px;
    padding: 0 20px;
    display: inline-block;
    cursor: pointer;
    transition: all 0.1s;
    box-sizing: border-box;
}
.menu_btn{
    display: none;
    height: 30px;
    float: right;
    margin-top: 15px;
    transition: all 0.3s;
    -webkit-touch-callout: auto;
    pointer-events: auto;
}
.menu_m{
    position: fixed;
    z-index: 999;
    top: 60px;
    left: 0;
    width: 100%;
    height: 0;
    background-color: rgba(255,255,255,0.9);
    overflow: hidden;
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    transition: height 0.3s;
}
.menu_m li {
    width: 100%;
    height: 45px;
    line-height: 45px;
    padding: 0 10%;
    color: #f00;
    border-top: solid 1px #eee;
    cursor: pointer;
    box-sizing: border-box;
}
.content {
    scrollbar-width: thin;
    scrollbar-color: hsl(0deg 0% 90%) transparent;
    margin: 0 auto;
    height: calc(100vh - 80px);
    overflow-y: auto;
    padding: 70px 0 10px 0;
    text-align: center;
    color: #f00;
    background:
      radial-gradient(circle at 50% 0,
        rgba(255,232,216,.4),
        rgba(255,232,216,0) 70.71%),
      radial-gradient(circle at 6.7% 75%,
        rgba(216,255,216,.4),
        rgba(216,255,216,0) 70.71%),
      radial-gradient(circle at 93.3% 75%,
        rgba(216,232,255,.4),
        rgba(216,232,255,0) 70.71%) #fff;
    background-attachment: fixed;
}
.top_box {
    display: flex;
    margin: auto;
}
.info {
    font-size: 15px;
    color: #f44;
    text-align: left;
    cursor: default;
}
.info h4{
    color: #f00;
    text-align: center;
}
.info p{
    padding: 6px;
    transition: all 0.3s;
    overflow-y: auto;
}
.ic_gif{
    height: 24px;
    vertical-align: middle;
}
.intro {
    font-size: 14px;
    color: #f44;
    text-align: center;
}
#intro{
    transition: all 0.4s;
}
/*定义滚动条*/
.info::-webkit-scrollbar,.large_cardx::-webkit-scrollbar,.small_cards::-webkit-scrollbar,.link_content::-webkit-scrollbar,.thread_content::-webkit-scrollbar {
    height: 8px;
    background-color: transparent;
}
/*定义滚动条滑块*/
.info::-webkit-scrollbar-thumb,.large_cardx::-webkit-scrollbar-thumb,.small_cards::-webkit-scrollbar-thumb {
    background-color: #f662;
    background-size: 100% 100%;
    border-radius: 4px;
}
.link_content::-webkit-scrollbar-thumb,.thread_content::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: #f662;
}
.card{
    font-size: 15px;
    text-align: center;
    background-color: #fff;
    cursor: pointer;
    word-wrap:break-word;
    border-radius: 12px;
    transition: all 0.3s;
    position: relative;
}
.card img{
    vertical-align: middle;
    border-radius: 12px;
}
.card:hover,#qr_qqgroup {
    box-shadow: 0 3px 6px rgba(0,0,0,0.1);
}
.card:hover{
    transform: scale(1.01);
}
.card:active{
    transition: transform 0.15s;
    transform: scale(0.97);
}
.card .card_p {
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    width: calc(100% - 10px);
    margin: 0;
    padding: 0 5px;
    text-indent: 0;
    font-size: 13px;
    color: #fff;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 0 0 12px 12px;
    overflow: hidden;
}

#linkList{
    padding-left: 100%;
    transition: all 0.6s;
}
.link_card {
    margin: 10px 5px;
    width: calc(100% - 20px);
    max-width: 450px;
    min-width: 270px;
    white-space: normal;
    display: inline-block;
}
.link_card a {
    display: block;
    height: 100%;
}
.link_card p {
    margin: 10px 0;
    padding: 0 10px;
    font-size: 15px;
    color: #888;
    text-align: left;
}
.link_content{
    margin: 0;
    height: 80px;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: hsl(0deg 0% 90%) transparent;
}
.thread_content{
    margin: 0;
    height: 110px;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: hsl(0deg 0% 90%) transparent;
}
.active,.active:hover {
    box-shadow: 0 3px 6px rgba(255,0,0,0.1);
}
.large_cardx{
    margin: 0 auto;
    padding: 0 10px;
    white-space: nowrap;
	overflow-y: hidden;
	overflow-x: auto;
    color: #f44;
    scrollbar-width: thin;
    scrollbar-color: hsl(0deg 0% 90%) transparent;
    -ms-overflow-style: auto;
}
/*.large_cardx a{*/
/*    display: inline-block;*/
/*}*/
.large_cards{
    margin: 10px 5px;
    width: calc(100% - 20px);
    max-width: 450px;
    min-width: 270px;
    white-space: normal;
    display: inline-block;
    padding-left: 100%;
    transition: width 0.3s;
}
.large_card {
    margin: 5px auto;
}
.large_card .card_p {
    padding: 5px;
}
.small_cards {
    width: 100%;
    white-space: nowrap;
	overflow-y: hidden;
	overflow-x: auto;
    scrollbar-width: thin;
    scrollbar-color: hsl(0deg 0% 90%) transparent;
	-ms-overflow-style: auto;
}
.small_card {
    margin: 10px 2px;
    width: 90px;
    font-size: 12px;
    display: inline-block;
}
.small_card .card_p {
    font-size: 11px;
    line-height: 1rem;
}
.pic {
    width: 100%;
}
.down_apk{
    z-index: 99999;
    display: none;
	justify-content: space-between;
	height: 60px;
	width: 100%;
	background-color: rgba(255,255,255,0.9);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
	position: fixed;
	bottom: 0;
	border-top: 1px solid #eee;
}
.down_title,.down_close{
    margin: auto 0;
}
.down_btn{
    margin: auto 0;
    height: 30px;
    border: none;
    background: #f66;
    color: #fff;
    font-weight: bold;
    border-radius: 12px;
    padding: 2px 12px;
}
.down_btn:hover{
    background: #e00;
    color: #ddd;
}
.down_close{
    font-size: 20px;
    margin-right: 3%;
    background: transparent;
    border: none;
}
.footer {
    background-color: #812;
    padding: 20px 10vw;
}
.copyright{
    font-size: 14px;
    color: #fff;
    text-align: center;
}
#ptcg_box{
    z-index: 9999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    transform: translateZ(0);
    display: none;
    align-items: center;
    justify-content: center;
}
#ptcg{
    height: 80%;
    max-height: 522px;
    border-radius: 22px;
    -webkit-touch-callout: auto;
    pointer-events: auto;
}
#show_ptcg{
    z-index: 9999;
    position: fixed;
    bottom: 0;
    left: 0;
    height: 48px;
    width: 48px;
    outline: none;
    border: none;
    border-radius: 0 50% 50% 0;
    background-color: #0bf;
    color: #fff;
    font-size: 13px;
    cursor: pointer;
    transition: all 0.15s;
}
#show_ptcg:hover,#show_qqqr:hover{
    background-color: #f44;
}
#show_ptcg:active,#show_qqqr:active{
    background-color: #6ca;
}
#bgm{
    display:none;
}
.ic_bgm{
    z-index: 99999;
    width: 36px;
    position: fixed;
    top: 10px;
    right: 10px;
    animation: changeRight 3s linear infinite;
    pointer-events: auto;
}
@-webkit-keyframes changeRight{       
	0%{-webkit-transform:rotate(0deg);}
	50%{-webkit-transform:rotate(180deg);}
    100%{-webkit-transform:rotate(360deg);}
}
#show_qqqr{
    position: fixed;
    z-index: 9;
    top: 70px;
    left: 0;
    height: 48px;
    width: 48px;
    outline: none;
    border: none;
    border-radius: 0 50% 50% 0;
    background-color: #0bf;
    color: #fff;
    font-size: 13px;
    cursor: pointer;
    transition: all 0.15s;
}
#qr_qqgroup{
    position: fixed;
    z-index: 9;
    top: 70px;
    left: -192px;
    width: 90vw;
    max-width: 192px;
    border-radius: 12px;
    transition: all 0.4s;
}
#qr_qqgroup:hover{
    cursor: pointer;
}

.context_menu {
	z-index: 9999;
	position: fixed;
	width: 168px;
	border-radius: 10px;
	display: none;
	padding: 1px 5px;
	font-size: 14px;
	background-color: rgba(255, 255, 255, 0.7);
	-webkit-backdrop-filter: blur(30px);
	backdrop-filter: blur(30px);
	opacity: 0;
	transition: opacity 0.2s;
	box-shadow: 0 2px 2px 2px rgba(64, 64, 64, 0.1);
}

.context_menu li {
	height: 28px;
	line-height: 28px;
	margin: 4px 0;
	padding: 0 10px;
	cursor: default;
	border-radius: 5px;
	transition: background-color 0.2s;
}

.context_menu li:hover {
	background-color: rgba(128, 136, 144, 0.1);
}
.context_menu li img{
    margin-right: 5px;
    margin-top: -2px;
    height: 16px;
    vertical-align: middle;
}
.context_menu .right {
    float: right;
	color: #666;
}
.shade::after{
    content: "";
    display: block;
    position: fixed;
    z-index: 99997;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
}

.foot_link_container {
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
}
#friends_link,#recommend_link {
    overflow-x: auto;
}
#fl_request {
    color: #0af;
    cursor: pointer;
}
.fl_box {
    display: none;
    position: fixed;
    z-index: 99999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: calc(100vw - 60px);
    max-width: 420px;
    padding: 20px;
    background-color: rgba(255,255,255,0.9);
    border-radius: 8px;
    box-shadow: 0px 0px 5px rgba(128,128,128,0.7);
    text-align: center;
}
.fl_title {
    font-size: 20px;
    font-weight: bold;
    color: #f66;
    margin-bottom: 10px;
}
#fl_form div {
	margin: 25px 0;
}
#fl_form label {
    width: 80px;
    display: inline-block;
    text-align: right;
}
#fl_form input {
	outline: none;
	border: none;
	border-radius: 12px;
}
#fl_form .input {
	height: 32px;
	width: 65%;
	border: solid 1px #ddd;
	padding: 0 5px;
    font-size: 16px;
    font-family: Consolas,微软雅黑;
}
#fl_form .textarea {
	width: 65%;
	vertical-align: top;
	outline: none;
	padding: 5px;
	border-radius: 12px;
	border: solid 1px #ddd;
    resize: none;
    font-size: 16px;
    font-family: Consolas,微软雅黑;
}
#fl_form input[type=button] {
	height: 40px;
	width: 40%;
	border-radius: 12px;
	background: #f88;
    color: #fff;
}
#fl_form input[type=button]:active {
    background: #d44;
    color: #ddd;
}

#search_form {
    position: fixed;
    z-index: 1000;
    top: 12px;
    right: calc(8% + 40px);
    width: 36px;
    height: 36px;
    background-color: rgba(255, 255, 255, 0.4);
    -webkit-backdrop-filter: blur(30px);
	backdrop-filter: blur(30px);
    border-radius: 18px;
	box-shadow: 0 0 1px 1px rgba(64, 64, 64, 0.2);
	pointer-events: auto;
    transition: all 0.2s;
}
#search_engine {
    display: none;
    float: left;
    border: none;
    outline: none;
    height: 36px;
    width: 60px;
    border-radius: 18px;
    font-size: 14px;
    text-align: center;
    background-color: transparent;
}
#search_engine::-ms-expand {
    display: none;
}
#search_input {
    display: none;
    height: 36px;
    width: calc(100% - 106px);
    margin: 0;
	padding: 0 5px;
	font-size: 14px;
    outline: none;
    border: none;
    float: left;
    background-color: transparent;
}
#search_button {
    width: 36px;
    height: 36px;
    margin: 0;
    padding: 0;
    font-weight: bold;
    background-color: transparent;
    background-image: url(../img/ic_search.png);
	background-size: 50%;
	background-position: center;
	background-repeat: no-repeat;
    border: none;
    color: white;
    outline: none;
    border-radius: 18px;
    float: right;
    transition: background-size 0.1s;
}
#search_button:active {
	background-size: 40%;
}

@media (any-hover: hover) {
    .content::-webkit-scrollbar{
        width: 8px;
        background-color: transparent;
    }
    .content::-webkit-scrollbar-thumb {
        border-radius: 4px;
        background-color: #f662;
    }
    .content:hover::-webkit-scrollbar-thumb {
        background-color: #f003;
    }
    .thread_content:hover::-webkit-scrollbar-thumb {
        background-color: #f003;
    }
    .menu li:hover,.menu_m li:hover {
        background-color: rgba(240,253,251,0.7);
        border-bottom: solid 3px #0db;
    }
    .side_btn:hover {
        background-color: rgba(240,240,240,0.7);
    }
}
.menu li:active, .menu_m li:active {
    background-color: rgba(255,232,232,0.7);
    border-bottom: solid 3px #f66;
}
.side_btn {
    position: fixed;
    z-index: 9;
    top: 35%;
    right: 0;
    width: 38px;
    padding: 3px;
    outline: none;
    border: none;
    border-radius: 8px 0 0 8px;
    background-color: rgba(255,255,255,0.8);
    color: #666;
    font-size: 13px;
    cursor: pointer;
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    box-shadow: 0 0 4px 1px rgba(0,0,0,0.1);
    transition: all 0.15s;
}
.side_btn:active {
    transform: scale(0.95);
    right: -2px;
    background-color: rgba(224,224,224,0.7);
}

.shadow {
	position: fixed;
	z-index: 9999;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(64, 64, 64, 0.3);
	opacity: 0;
	transition: opacity 0.2s;
}

.frame {
	position: fixed;
	top: 50%;
	left: 50%;
	width: calc(100% - 18px);
	height: calc(100% - 18px);
	max-width: 720px;
	transform: translate(-50%, -50%);
	border-radius: 12px;
}
.frame iframe {
	outline: none;
	border: none;
	width: 100%;
	height: 100%;
	border-radius: 12px;
}

.frame .close {
	position: absolute;
	z-index: 19999;
	top: -9px;
	right: -9px;
	width: 36px;
	height: 36px;
	line-height: 36px;
	text-align: center;
	font-size: 20px;
	border-radius: 50%;
	background-color: rgba(0, 0, 0, 0.1);
	cursor: pointer;
}

.frame .close:hover {
	background-color: rgba(0, 0, 0, 0.2);
}
